From: Greg KH <greg@kroah.com>
To: torvalds@transmeta.com
Cc: linux-usb-devel@lists.sourceforge.net
Subject: [PATCH 3 of 5] USB hcd makefile fix

Hi,

Here's a patch against 2.5.2-pre10 fixes the hcd makefile so that the
EHCI (USB 2.0) host controller driver will actually build properly.

thanks,

greg k-h



diff -Nru a/drivers/usb/hcd/Makefile b/drivers/usb/hcd/Makefile
--- a/drivers/usb/hcd/Makefile	Tue Jan  8 09:29:37 2002
+++ b/drivers/usb/hcd/Makefile	Tue Jan  8 09:29:37 2002
@@ -5,9 +5,9 @@
 
 O_TARGET	:=
 
-obj-$(CONFIG_EHCI_HCD)			+= ehci-hcd.o
-# obj-$(CONFIG_OHCI_HCD)			+= ohci-hcd.o
-# obj-$(CONFIG_UHCI_HCD)			+= uhci-hcd.o
+obj-$(CONFIG_USB_EHCI_HCD)			+= ehci-hcd.o
+# obj-$(CONFIG_USB_OHCI_HCD)			+= ohci-hcd.o
+# obj-$(CONFIG_USB_UHCI_HCD)			+= uhci-hcd.o
 
 # Extract lists of the multi-part drivers.
 # The 'int-*' lists are the intermediate files used to build the multi's.

